Engineering Papers⌕ Search

SEARCH · Engineering Papers

Results for “Dyson equation”

Search indexed NASA NTRS and DOE OSTI research on propulsion, heat transfer, battery materials and energy systems. Follow report and document links to the original sources.

Quote a phrase for an exact phrase match. Source license links do not imply unrestricted reuse.

69 records · Page 4

Open-closed string duality, branes, and topological recursion

We consider matrix models exhibiting open-closed string duality in two-dimensional string theories with various amounts of supersymmetry. In particular, a relationship between matrix models in the β = 2 Wigner-Dyson class and models in the (1 + 2Γ, 2) Altland-Zirnbauer class relates the perturbative solutions of the two systems’ string equations. Point-like operator insertions in the closed string theory are mapped to the topological expansion of the free energy in the open string theory. We compute correlation functions of macroscopic loop operators and FZZT branes in a general topological gravity background. The relationship between the topological recursion of moduli space volumes and branes is discussed by analyzing the Virasoro conditions in the matrix models.

2D Gravity↗

Multi-d CFD Modeling of a Free-piston Stirling Convertor at NASA Glenn

A high efficiency Stirling Radioisotope Generator (SRG) is being developed for possible use in long duration space science missions. NASA s advanced technology goals for next generation Stirling convertors include increasing the Carnot efficiency and percent of Carnot efficiency. To help achieve these goals, a multidimensional Computational Fluid Dynamics (CFD) code is being developed to numerically model unsteady fluid flow and heat transfer phenomena of the oscillating working gas inside Stirling convertors. Simulations of the Stirling convertors for the SRG will help characterize the thermodynamic losses resulting from fluid flow and heat transfer between the working gas and solid walls. The current CFD simulation represents approximated 2-dimensional convertor geometry. The simulation solves the Navier Stokes equations for an ideal helium gas oscillating at low speeds. The current simulation results are discussed.

Wilson, Scott D.↗

Technique for Very High Order Nonlinear Simulation and Validation

Finding the sources of sound in large nonlinear fields via direct simulation currently requires excessive computational cost. This paper describes a simple technique for efficiently solving the multidimensional nonlinear Euler equations that significantly reduces this cost and demonstrates a useful approach for validating high order nonlinear methods. Up to 15th order accuracy in space and time methods were compared and it is shown that an algorithm with a fixed design accuracy approaches its maximal utility and then its usefulness exponentially decays unless higher accuracy is used. It is concluded that at least a 7th order method is required to efficiently propagate a harmonic wave using the nonlinear Euler equations to a distance of 5 wavelengths while maintaining an overall error tolerance that is low enough to capture both the mean flow and the acoustics.

Dyson, Rodger W.↗

Influence of Markovianity and self-consistency on time-resolved spectral functions of driven quantum systems

We present a systematic comparison of the real-time Dyson expansion (RTDE) with established nonequilibrium Green's function (GF) approaches for simulating driven, interacting quantum systems. Focusing on density matrix dynamics, time-off-diagonal GFs, and time-resolved photoemission spectra, we benchmark RTDE against fully self-consistent Kadanoff-Baym equation (KBE) calculations, the generalized Kadanoff-Baym ansatz, and exact diagonalization for small systems using second-order many-body perturbation theory. Using a driven two-band Hubbard model, we show that mean-field single-particle density matrix trajectories provide a reliable baseline for RTDE across a broad range of interaction strengths and excited-carrier populations. Further, RTDE accurately captures correlation effects in the GFs, including long-lived oscillations and revivals that are strongly suppressed by the overdamping inherent to self-consistent KBE schemes. As a consequence, RTDE resolves rich nonequilibrium spectral structure in time-resolved photoemission, such as interaction- and population-dependent quasiparticle splittings and band gap renormalization, which are largely washed out in self-consistent approaches yet are present in exact solutions. Furthermore, our results demonstrate that RTDE bridges the gap between mean-field propagation and full two-time KBE simulations, retaining favorable linear scaling while capturing essential dynamical correlations relevant for ultrafast spectroscopy.

Electronic structure↗

Topside sounder observations of equatorial bubbles

Large scale regions of depleted equatorial ionospheric plasma, called equatorial bubbles, are investigated using topside sounder data. The sounder's unique remote measuring capability enables the magnetic field-aligned nature of the bubbles to be investigated. A search of all available Alouette 2 and ISIS 1 ionograms during nighttime perigee passes near the magnetic equator has revealed a variety of echo signatures associated with bubbles. In addition to a sudden drop in electron density, these signatures usually include in situ spread F and ducted traces. The ducted traces have been used to determine the electron density distribution and to infer changes in ion composition along the magnetic field line within the duct associated with the bubble. In some cases it can be determined that the bubble is asymmetric with respect to the magnetic equator. Even though such features require 3 dimensional models for their explanation, the great field-aligned extent of the bubbles (relative to their cross section) suggests that current theories, which ignore variations along the magnetic field, are still applicable.

Dyson, P. L.↗

Experimental and Computational Analysis of Unidirectional Flow Through Stirling Engine Heater Head

A high efficiency Stirling Radioisotope Generator (SRG) is being developed for possible use in long-duration space science missions. NASA s advanced technology goals for next generation Stirling convertors include increasing the Carnot efficiency and percent of Carnot efficiency. To help achieve these goals, a multi-dimensional Computational Fluid Dynamics (CFD) code is being developed to numerically model unsteady fluid flow and heat transfer phenomena of the oscillating working gas inside Stirling convertors. In the absence of transient pressure drop data for the zero mean oscillating multi-dimensional flows present in the Technology Demonstration Convertors on test at NASA Glenn Research Center, unidirectional flow pressure drop test data is used to compare against 2D and 3D computational solutions. This study focuses on tracking pressure drop and mass flow rate data for unidirectional flow though a Stirling heater head using a commercial CFD code (CFD-ACE). The commercial CFD code uses a porous-media model which is dependent on permeability and the inertial coefficient present in the linear and nonlinear terms of the Darcy-Forchheimer equation. Permeability and inertial coefficient were calculated from unidirectional flow test data. CFD simulations of the unidirectional flow test were validated using the porous-media model input parameters which increased simulation accuracy by 14 percent on average.

Wilson, Scott D.↗

Solving Nonlinear Euler Equations with Arbitrary Accuracy

A computer program that efficiently solves the time-dependent, nonlinear Euler equations in two dimensions to an arbitrarily high order of accuracy has been developed. The program implements a modified form of a prior arbitrary- accuracy simulation algorithm that is a member of the class of algorithms known in the art as modified expansion solution approximation (MESA) schemes. Whereas millions of lines of code were needed to implement the prior MESA algorithm, it is possible to implement the present MESA algorithm by use of one or a few pages of Fortran code, the exact amount depending on the specific application. The ability to solve the Euler equations to arbitrarily high accuracy is especially beneficial in simulations of aeroacoustic effects in settings in which fully nonlinear behavior is expected - for example, at stagnation points of fan blades, where linearizing assumptions break down. At these locations, it is necessary to solve the full nonlinear Euler equations, and inasmuch as the acoustical energy is of the order of 4 to 5 orders of magnitude below that of the mean flow, it is necessary to achieve an overall fractional error of less than 10-6 in order to faithfully simulate entropy, vortical, and acoustical waves.

Dyson, Rodger W.↗

An Automated Approach to Very High Order Aeroacoustic Computations in Complex Geometries

Computational aeroacoustics requires efficient, high-resolution simulation tools. And for smooth problems, this is best accomplished with very high order in space and time methods on small stencils. But the complexity of highly accurate numerical methods can inhibit their practical application, especially in irregular geometries. This complexity is reduced by using a special form of Hermite divided-difference spatial interpolation on Cartesian grids, and a Cauchy-Kowalewslci recursion procedure for time advancement. In addition, a stencil constraint tree reduces the complexity of interpolating grid points that are located near wall boundaries. These procedures are used to automatically develop and implement very high order methods (>15) for solving the linearized Euler equations that can achieve less than one grid point per wavelength resolution away from boundaries by including spatial derivatives of the primitive variables at each grid point. The accuracy of stable surface treatments is currently limited to 11th order for grid aligned boundaries and to 2nd order for irregular boundaries.

Dyson, Rodger W.↗

Automated Approach to Very High-Order Aeroacoustic Computations

Computational aeroacoustics requires efficient, high-resolution simulation tools. For smooth problems, this is best accomplished with very high-order in space and time methods on small stencils. However, the complexity of highly accurate numerical methods can inhibit their practical application, especially in irregular geometries. This complexity is reduced by using a special form of Hermite divided-difference spatial interpolation on Cartesian grids, and a Cauchy-Kowalewski recursion procedure for time advancement. In addition, a stencil constraint tree reduces the complexity of interpolating grid points that am located near wall boundaries. These procedures are used to develop automatically and to implement very high-order methods (> 15) for solving the linearized Euler equations that can achieve less than one grid point per wavelength resolution away from boundaries by including spatial derivatives of the primitive variables at each grid point. The accuracy of stable surface treatments is currently limited to 11th order for grid aligned boundaries and to 2nd order for irregular boundaries.

Dyson, Rodger W.↗

Computational Aero-acoustics As a Tool For Turbo-machinery Noise Reduction

This talk will provide an overview of the field of computational aero-acoustics and its use in fan noise prediction. After a brief history of computational fluid dynamics, some of the recent developments in computational aero-acoustics will be explored. Computational issues concerning sound wave production, propagation, and reflection in practical turbo-machinery applications will be discussed including: (a) High order/High Resolution Numerical Techniques. (b) High Resolution Boundary Conditions. [c] MIMD Parallel Computing. [d] Form of Governing Equations Useful for Simulations. In addition, the basic design of our Broadband Analysis Stator Simulator (BASS) code and its application to a 2 D rotor wake-stator interaction will be shown. An example of the noise produced by the wakes from a rotor impinging upon a stator cascade will be shown.

Dyson, Rodger W.↗

In situ measurements of the spectral characteristics of F region ionospheric irregularities

The retarding potential analyzer aboard Ogo 6 has provided high-resolution observations of the ion concentration along the satellite path. Changes in ion concentration as small as 0.03% and at times as small as 0.01% could be measured. Spatial resolution varied from 35 to 380 m. Samples of data have been analyzed to determine the spectral properties of the F region irregularities observed. The most common frequency spectrum observed suggests that the responsible irregularities result from the turbulent dissipation of larger irregularities. At the equator, the larger irregularities are probably produced by convective electric fields. At high latitudes, electric fields may also be involved, but other factors such as precipitating particles may contribute to, or be primarily responsible for, the production of large irregularities. Examples of other types of spectra associated with wavelike irregularities and with 'ground glass' (high-frequency noise) irregularities are also shown.

Dyson, P. L.↗

Degenerate coupled-cluster theory

A size-extensive, converging, black-box, ab initio coupled-cluster (ΔCC) ansatz is introduced that computes the energies and wave functions of states from any degenerate or nondegenerate Slater-determinant references with any numbers of α- and β-spin electrons, any patterns of orbital occupancy, any spin multiplicities, and any spatial symmetries. For a nondegenerate reference, it reduces to the single-reference coupled-cluster ansatz. For a degenerate multireference, it is a natural coupled-cluster extension of degenerate Møller–Plesset perturbation (ΔMP) theory. For ionized and electron-attached references, it is a coupled-cluster Green’s function, although the present theory is convergent toward the full-configuration-interaction limits, while the Feynman–Dyson many-body Green’s function (MBGF) theory generally is not. Its single-excitation instance is a projection Hartree–Fock theory as per the Thouless theorem, which may be useful for core ionizations, high-spin states, and possibly electron affinities. Additionally, a new multireference coupled-cluster theory for a general model space is developed. This quasidegenerate coupled-cluster (QCC) theory is exactly converging, but not black-box, and intended for strong correlation. Determinant-based, general-order algorithms of ΔCC and QCC theories are implemented and compared with configuration-interaction (CI) and equation-of-motion coupled-cluster (EOM-CC) theories through octuple excitations and with ΔMP and MBGF theories up to the nineteenth order. An algebraic, optimal-scaling algorithm of the ΔCC theory is computer-synthesized at the levels of single excitations (ΔCCS) and of single and double excitations (ΔCCSD). As a result, the order of performance is QCC ≈ ΔCC > EOM-CC > CI at the same order or QCC ≈ ΔCC > ΔMP > MBGF at the same cost scaling.

Hirata, So [University of Illinois at Urbana-Champ↗

The optimum shape for a rigid rotating shell enclosing an isotropic spherical planetary mass

Analysis of the Dyson Sphere, an extremely advanced civilization's hypothetical construct entirely surrounding a star, shows that new stress inward to the star increases to maxima at the poles if the sphere is rotating. This is because the centrifugal force in the rotating frame of reference vanishes at zero rotational radius, which occurs at the poles. There is less of the centrifugal force at high latitudes than low to offset the star's gravity. A form is derived for a thin, rigid, rotating shell, surrounding a large pointlike mass and/or charge, which will experience the least possible net stress at every point upon it - a shape on which every point not on the shell's equator is as near as possible to being in orbit. In orbit, whose plane passes through the primary body's center of mass or of charge, F(grav), or Fg, is exactly opposite in direction to F(centrif), or Fc, and is equal in amount. At all points not on the equator, Fc will not entirely offset Fg, because of Fg's vector decomposition. However, both forces are always constrained to be equal in absolute amount everywhere on the shell, equator included. The derived shape, given by the figure of revolution around the x-axis of x = square root (y-1-72), will prove useful in large-scale space construction. Also, various engineering problems are discussed.

Covington, Tatiana↗

A Time Domain Analysis of Gust-Cascade Interaction Noise

The gust response of a 2 D cascade is studied by solving the full nonlinear Euler equations employing higher order accurate spatial differencing and time stepping techniques. The solutions exhibit the exponential decay of the two circumferential mode orders of the cutoff blade passing frequency (BPF) tone and propagation of one circumferential mode order at 2BPF, as would be expected for the flow configuration considered. Two frequency excitations indicate that the interaction between the frequencies and the self interaction contribute to the amplitude of the propagating mode.

Nallasamy, M.↗

Increasing Accuracy in Computed Inviscid Boundary Conditions

A technique has been devised to increase the accuracy of computational simulations of flows of inviscid fluids by increasing the accuracy with which surface boundary conditions are represented. This technique is expected to be especially beneficial for computational aeroacoustics, wherein it enables proper accounting, not only for acoustic waves, but also for vorticity and entropy waves, at surfaces. Heretofore, inviscid nonlinear surface boundary conditions have been limited to third-order accuracy in time for stationary surfaces and to first-order accuracy in time for moving surfaces. For steady-state calculations, it may be possible to achieve higher accuracy in space, but high accuracy in time is needed for efficient simulation of multiscale unsteady flow phenomena. The present technique is the first surface treatment that provides the needed high accuracy through proper accounting of higher-order time derivatives. The present technique is founded on a method known in art as the Hermitian modified solution approximation (MESA) scheme. This is because high time accuracy at a surface depends upon, among other things, correction of the spatial cross-derivatives of flow variables, and many of these cross-derivatives are included explicitly on the computational grid in the MESA scheme. (Alternatively, a related method other than the MESA scheme could be used, as long as the method involves consistent application of the effects of the cross-derivatives.) While the mathematical derivation of the present technique is too lengthy and complex to fit within the space available for this article, the technique itself can be characterized in relatively simple terms: The technique involves correction of surface-normal spatial pressure derivatives at a boundary surface to satisfy the governing equations and the boundary conditions and thereby achieve arbitrarily high orders of time accuracy in special cases. The boundary conditions can now include a potentially infinite number of time derivatives of surface-normal velocity (consistent with no flow through the boundary) up to arbitrarily high order. The corrections for the first-order spatial derivatives of pressure are calculated by use of the first-order time derivative velocity. The corrected first-order spatial derivatives are used to calculate the second- order time derivatives of velocity, which, in turn, are used to calculate the corrections for the second-order pressure derivatives. The process as described is repeated, progressing through increasing orders of derivatives, until the desired accuracy is attained.

Dyson, Roger↗